import SQLite from 'react-native-sqlite-storage';
import { View, Text, StyleSheet, Button } from 'react-native';
import React, { useEffect } from 'react';

SQLite.DEBUG(true);
SQLite.enablePromise(false);

const database_name = "MyMoney.db";
const database_version = "1.0"
const database_displayname = "SQLite Test Database";
const database_size = 200000;
let db;

function MoneyDB() {

  console.log('money db')

  const loadAndQueryDB = () => {
    db = SQLite.openDatabase(database_name, database_version, database_displayname, database_size, () => { console.log('load db') }, error => console.log(error.message));

  };

  const getData = () => {
    db.transaction(tx => { console.log("데이터 가져오기"); tx.executeSql('SELECT * FROM Test;', [], (tx, results) => { console.log("select "); console.log('results:',results.rows.row) }, (error) => console.log(error)) })
  }

  const createTable = () => {
    db.transaction(tx => { console.log("테이블 생성하기"); tx.executeSql('CREATE TABLE IF NOT EXISTS Test(' + 'age INTEGER);', [], () => { console.log("테이블 생성 성공 "); }, (error) => console.log(error)) })
  }

  const insertData = () => {
    db.transaction(tx => { console.log("데이터 삽입하기"); tx.executeSql('INSERT INTO Test (age) VALUES (23);', [], () => { console.log("삽입 성공"); }, (error) => console.log(error)) })
  }

    useEffect(() => {
      loadAndQueryDB()
    }, [])

  return (
    <>
      <View>
        <Text>DB</Text>
        <Button title='데이터 가져오기' onPress={() => getData()} />
        <Button title='테이블 생성하기' onPress={() => createTable()} />
        <Button title='데이터 삽입하기' onPress={() => insertData()} />
      </View>
    </>
  )
}


export default MoneyDB